<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

	if ( empty($_POST['typ']) )
		komunikat('zle.Nie wybrano typu zawartości strony. Strona nie została utworzona.');
	elseif ( empty($_POST['tytul']) )
		komunikat('zle.Nie podano tytułu strony. Strona nie została utworzona.');

	else {

		if ( empty($_POST['identyfikator']) )
			$_POST['identyfikator'] = $_POST['tytul'];
		$_POST['identyfikator'] = prostaNazwa($_POST['identyfikator']);

		if ( !sprawdzNazwe($_POST['identyfikator']) )
			komunikat('zle.Identyfikator <strong>' . $_POST['identyfikator'] . '</strong> jest niepoprawny. Strona nie została utworzona.');

		elseif ( odczytStrony($_POST['identyfikator']) != false or odczytStrony($_POST['identyfikator'],true) != false )
			komunikat('zle.Strona z identyfikatorem <strong>' . $_POST['identyfikator'] . '</strong> już istnieje. Wybierz inny identyfikator.');

		else {

			$odczytTypu = odczytTypuMotywu( 'typy', $_POST['typ'] );

			$szkic = false;
			if ( $_POST['szkic'] )
				$szkic = true;
			$identyfikator = $_POST['identyfikator'];

			unset($_POST['szkic']);
			unset($_POST['identyfikator']);

			$_POST['tytulMenu']  = $_POST['tytul'];
			$_POST['tytulTitle'] = $_POST['tytul'];

			if ( $szkic )
				$lokalizacja = 'szkice';
			else
				$lokalizacja = 'strony';

			zapiszPlik ( DANE . '/' . $lokalizacja . '/' . $identyfikator . '.wtk', serialize( array_merge(bezpiecznyHtml($_POST),$odczytTypu['ustawieniaDomyslne']) ) );
			zapiszPlik ( DANE . '/' . $lokalizacja . '/' . $identyfikator . '.wtz', serialize( $odczytTypu['zawartoscDomyslna'] ) );

			if ( $szkic )
				przekierowanie('?id=szkiceStron&utworzonoStrone=1');
			else
				przekierowanie('?id=strony&utworzonoStrone=1');

		}

	}

}

include ('/../naglowek.php');
?>
<h2>Utwórz stronę</h2>

<form method="post">

<h3>Ustawienia ogólne</h3>

<table>
	<tr> <td>Tytuł strony:</td> <td><input type="text" name="tytul" required /></td> </tr>
	<tr> <td>Identyfikator strony:</td> <td><input type="text" name="identyfikator" /></td> </tr>
	<tr>
		<td colspan="2"><label><input type="checkbox" name="szkic" value="1" <?php zaznaczCheckbox( odczytKonf('szkiceDomyslnie') ); ?> />Zapisz tę stronę jako szkic (nie publikuj od razu)</label></td>
	</tr>
</table>

<p class="informacja">Identyfikator strony to uproszczona wersja tytułu strony, która znajdzie się w pasku adresu przeglądarki. Nie musisz go uzupełniać, zostanie wprowadzony automatycznie.</p>

<h3>Typ zawartości strony</h3>

<ul class="listaKafelkowa">
<?php
foreach ( zainstalowaneTypyMotywy('typy') as $identyfikatorTypu ) {
	$odczytTypu = odczytTypuMotywu ( 'typy', $identyfikatorTypu );
?>
	<li>
		<label title="<?php echo $odczytTypu['informacje']['nazwa']; ?>">
			<input type="radio" name="typ" value="<?php echo $identyfikatorTypu; ?>" <?php zaznaczCheckbox( $identyfikatorTypu, odczytKonf('domyslnyTypWPaneluAdmin') ); ?> /><?php echo $odczytTypu['informacje']['nazwa']; ?>
		</label>
		<?php if ( odczytKonf('edytorPlikow') ) { ?><a href="?id=edytorPlikow&element=typ&b=<?php echo $identyfikatorTypu; ?>">Edytuj</a><?php } ?>
	</li>
<?php
}
?>
</ul>

<p class="przyciskWysylania"><input type="submit" value="Utwórz stronę" /></p>

</form>
<?php
include ('/../stopka.php');