<?php
// WizyTówka 4
if (!defined('WT')) exit();


// funkcje modyfikujące ciągi znaków

function tekst( $tekst, $uzywacMarkdown = false ) {

	return $tekst;

}

function pokazDate ( $czasUniksowy, $formatDaty = null ) {

	if ( !is_numeric($czasUniksowy) )
		return false;

	if ( empty($formatDaty) )
		$formatDaty = odczytKonf('formatDaty');

	return date( $formatDaty, $czasUniksowy );

}

function sprawdzAdres ( $ciag ) {

	if ( empty($ciag) )
		return false;
	return preg_match ( '/^http|https:\/\/[a-zA-Z0-9\.\-_\/:]+$/' , $ciag );

}

function sprawdzEmail ( $ciag ) {

	if ( empty($ciag) )
		return false;
	return preg_match ( '/^[a-zA-Z0-9\.\-_]+@[a-zA-Z0-9\.\-_]+\.[a-zA-Z0-9\.\-_]{2,4}$/' , $ciag );

}

function sprawdzNazwe ( $ciag ) {

	if ( empty($ciag) or $ciag[0] == '.' or is_numeric($ciag) )
		return false;
//	return preg_match ( '/^[a-zA-Z0-9ąćęłśóżźńĄĆĘŁŚÓŻŹŃ\,\/\\!?@\$%&\*\(\)\[\]\<\>\{\}_=\.\+:;\-\" ]+$/' , $ciag );
	return preg_match ( '/^[a-zA-Z0-9\.\-\_]+$/' , $ciag );

}

function prostaNazwa ( $ciag, $male_litery = true ) {

	if ( $male_litery )
		$ciag = strtolower( $ciag );

	$pl_z    = array ( 'ą', 'ć', 'ę', 'ł', 'ń', 'ś', 'ó', 'ż', 'ź', 'Ą', 'Ć', 'Ę', 'Ł', 'Ń', 'Ś', 'Ó', 'Ż', 'Ź' );
	$pl_na = array ( 'a', 'c', 'e', 'l', 'n', 's', 'o', 'z', 'z', 'A', 'C', 'E', 'L', 'N', 'S', 'O', 'Z', 'Z' );
	$ciag = str_replace( $pl_z, $pl_na, $ciag );

	$znaki = array( ',', '/', "'", '"', "\\", '!', '?', '@', '$', '%', '&', '*', '(', ')', '[', ']', '<', '>', '{', '}', '=', '+', ':', ';' );
	$ciag = str_replace( $znaki, null, $ciag );

	$ciag = str_replace( ' ', '-', $ciag );

	if ( empty($ciag) )
		return '-';
	return $ciag;

}

function usunRozszerzenie ( $nazwaPliku ) {

	return substr( $nazwaPliku, 0, strrpos($nazwaPliku,'.',true) );

}