<?php
// WizyTówka 4
if (!defined('WT')) exit();


// funkcje operujące na pllikach

function otworzPlik ( $nazwa_pliku ) {

	if ( !$otworz = file_get_contents( $nazwa_pliku ) )
		blad ( 'Nie udało się odczytać pliku.<br />Nazwa pliku: ' . $nazwa_pliku );
	else
		return $otworz;

}

function zapiszPlik ( $nazwa_pliku , $tresc ) {

	if ( !fwrite ( fopen( $nazwa_pliku , 'w' ) , $tresc) )
		blad ( 'Nie udało się zapisać pliku.<br />Nazwa pliku: ' . $nazwa_pliku );
	else
		return true;

}

function usunPlik ( $nazwa_pliku ) {

	if ( !unlink ( $nazwa_pliku ) )
		blad ( 'Nie udało się usunąć pliku.<br />Nazwa pliku: ' . $nazwa_pliku );
	else
		return true;

}

function przemianujPlik ( $nazwa_pliku_z, $nazwa_pliku_na ) {

	if ( !rename ( $nazwa_pliku_z, $nazwa_pliku_na ) )
		blad ( 'Nie udało się przemianować pliku.<br />Nazwa pliku obecna:' . $nazwa_pliku_z . '<br/>Nazwa pliku docelowa: ' . $nazwa_pliku_na );
	else
		return true;

}

function kopiujPlik ( $nazwa_pliku_z, $nazwa_pliku_do ) {

	if ( !copy ( $nazwa_pliku_z, $nazwa_pliku_do ) )
		blad ( 'Nie udało się skopiować pliku.<br />Lokalizacja obecna:' . $nazwa_pliku_z . '<br/>Lokalizacja docelowa: ' . $nazwa_pliku_na );
	else
		return true;

}

function przeniesPlik ( $nazwa_pliku_z, $nazwa_pliku_do ) {

	if ( !move ( $nazwa_pliku_z, $nazwa_pliku_do ) )
		blad ( 'Nie udało się przenieść pliku.<br />Lokalizacja obecna:' . $nazwa_pliku_z . '<br/>Lokalizacja docelowa: ' . $nazwa_pliku_na );
	else
		return true;

}

function rozmiarPliku ( $nazwa_pliku ) {

	$rozmiar = filesize( $nazwa_pliku );
	if ( $rozmiar === false )
		blad ( 'Nie udało się zmierzyć rozmiaru pliku.<br />Nazwa pliku:' . $nazwa_pliku );

	if ( $rozmiar < 1024 )
		$jednostka = 'B';
	elseif ( $rozmiar < 1024 * 1024 ) {
		$rozmiar = $rozmiar / 1024;
		$jednostka = 'KiB';
	}
	else {
		$rozmiar = $rozmiar / 1024 / 1024;
		$jednostka = 'MiB';
	}

	$pozycja_kropki = strpos($rozmiar,'.')+3;
	if ( $pozycja_kropki === false )
		$pozycja_kropki = strlen($rozmiar)+1;
	$rozmiar = str_replace( '.', ',', substr( $rozmiar, 0, $pozycja_kropki ) );
	return $rozmiar.' '.$jednostka;

}